> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/connect/rest-api/payments/account-management.md).

# Get Wire Instructions

<table data-header-hidden><thead><tr><th width="74.8046875" align="center"></th><th></th></tr></thead><tbody><tr><td align="center"><mark style="color:green;"><strong>GET</strong></mark> </td><td>https://api.sfox.com/v1/user/wire-instructions</td></tr></tbody></table>

Returns wire instructions for depositing USD to the sFOX account.

***

{% hint style="warning" %}
**Wire Instructions May Vary and are Subject to Change**\
To avoid processing delays, do not re-use wire instructions retrieved previously. Instead, retrieve an end user's current wire instructions each instance that they intend to submit a wire transfer.
{% endhint %}

## Request

{% hint style="info" %}
**Authentication:** This endpoint requires a [User Auth Token](/connect/rest-api/end-users/create-user-auth-token.md) for authentication. Requests using your Connect API Key will be rejected.
{% endhint %}

### Example Request

{% tabs %}
{% tab title="Shell" %}

```shell
curl -H "Authorization: Bearer ${USER_AUTH_TOKEN}" \
 'https://api.sfox.com/v1/user/wire-instructions'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const config = {
  method: 'get',
  url: 'https://api.sfox.com/v1/user/wire-instructions',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer <USER_AUTH_TOKEN>'
  }
}

axios(config)
  .then((response) => {
    console.log(response.status)
    console.log(respones.data)
  })
  .catch((err) => {
    console.error(err.response.status)
    console.error(err.response.data)
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

data = requests.get(
  "https://api.sfox.com/v1/user/wire-instructions",
  headers={
    "Authorization": f"Bearer {os.environ['USER_AUTH_TOKEN']}"
  }
)
print(data.status_code)
print(data.json())
```

{% endtab %}
{% endtabs %}

## Response

### Response Body

{% hint style="warning" %}
**WARNING**: Your user MUST specify their User Reference ID (**`sfox_user_ref_id`**) when submitting a wire transfer to their sFOX account.  This field is typically a "Memo" or "Special Instructions" field in banks' portals.  **Failure to include the User Reference ID will result in delays in funds being credited to the user's account.**&#x20;
{% endhint %}

<table><thead><tr><th width="207.8203125" valign="top">Key</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>bank_name</code> <br>string</td><td valign="top">Name of the receiving bank. </td></tr><tr><td valign="top"><code>bank_address</code><br>string</td><td valign="top">The receiving bank's address.</td></tr><tr><td valign="top"><code>beneficiary_name</code><br>string</td><td valign="top">Name of the beneficiary.</td></tr><tr><td valign="top"><code>beneficiary_address</code><br>string</td><td valign="top">Address of the beneficiary.</td></tr><tr><td valign="top"><code>bank_routing_number</code><br>string</td><td valign="top">Routing number of the beneficiary bank account. <em>For domestic wire transfers.</em></td></tr><tr><td valign="top"><code>bank_routing_swift</code><br>string</td><td valign="top">SWIFT number of the receiving bank. <em>For wire transfers originating from a bank account outside of the U.S.</em></td></tr><tr><td valign="top"><code>bank_account_number</code><br>string</td><td valign="top">Account number of the beneficiary bank account.</td></tr><tr><td valign="top"><code>sfox_user_ref_id</code><br>string</td><td valign="top">sFOX User Reference ID. <br><strong>REQUIRED</strong>: End user MUST include this reference ID in their wire transfer instructions for the transfer to be properly credited to their account. Typically in a bank's portal, this would be specified in the memo or special instructions field of the wire template.</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark>: OK</summary>

```json
{
    "data": {
        "bank_name": "MVB Bank",
        "bank_address": "301 Virginia Avenue Fairmont, West Virginia 26554",
        "beneficiary_name": "sFOX",
        "beneficiary_address": "400 Continental Blvd, 6th Floor, El Segundo, CA 90245",
        "bank_routing_number": "51504597",
        "bank_routing_swift": "PNCCUS33",
        "bank_account_number": "136379",
        "sfox_user_ref_id": "XpvdE"
    }
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/payments/account-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
